New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[18.01] Install latest conda and don't use shell=True #5397

Merged
merged 2 commits into from Jan 26, 2018

Conversation

Projects
None yet
3 participants
@nsoranzo
Member

nsoranzo commented Jan 26, 2018

See commits for details.

nsoranzo added some commits Jan 26, 2018

Install the latest version of conda and conda-build
Conda 4.3.33 contains a fix that should solve some conda env
creation programs:

conda/conda#6766

Also support conda installation on x86 Linux architecture.

@nsoranzo nsoranzo added this to the 18.01 milestone Jan 26, 2018

@jmchilton jmchilton merged commit b1c5186 into galaxyproject:release_18.01 Jan 26, 2018

6 checks passed

api test Build finished. 343 tests run, 4 skipped, 0 failed.
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
framework test Build finished. 343 tests run, 4 skipped, 0 failed.
Details
integration test Build finished. 79 tests run, 4 skipped, 0 failed.
Details
selenium test Build finished. 118 tests run, 3 skipped, 0 failed.
Details
toolshed test Build finished. 577 tests run, 0 skipped, 0 failed.
Details
@jmchilton

This comment has been minimized.

Member

jmchilton commented Jan 26, 2018

Awesome - good idea to catch up early after the branch!

@nsoranzo nsoranzo deleted the nsoranzo:release_18.01_conda_fixes branch Jan 26, 2018

@mvdbeek

This comment has been minimized.

Member

mvdbeek commented Jan 29, 2018

Should we backport b8873c6 to 17.05 ?

@nsoranzo

This comment has been minimized.

Member

nsoranzo commented Jan 29, 2018

Maybe 17.09? Conda installation is performed only at startup.

@mvdbeek

This comment has been minimized.

Member

mvdbeek commented Jan 29, 2018

Sounds good, though I'd probably encourage anyone with conda issues to update the channel order and install 4.3.33, so in that spirit I was thinking to apply this to the last supported release.

jmchilton added a commit to jmchilton/galaxy that referenced this pull request Feb 28, 2018

jmchilton added a commit to jmchilton/galaxy that referenced this pull request Feb 28, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment